#include <stdlib.h>
#include <string.h>
#include <gtk/gtk.h>
#include "indicatorbox.c"
#include "libindicator/indicator-object.h"

int main(int argc,  char *argv[]) {
    gtk_init(&argc, &argv);
    GtkWidget *win;
    GtkWidget *menubar;
    GtkWidget *box;
    gint socket_id = 0;
    if (argc < 2) {
        return 1;
    }
    socket_id = atoi(argv[1]);
    if (socket_id < 1) {
        return 1;
    }
    printf("%d\n", socket_id);

    win = gtk_plug_new(socket_id);
    menubar = gtk_menu_bar_new();
    box = gtk_box_new(GTK_ORIENTATION_VERTICAL, 0);
    GtkWidget *ebox = gtk_menu_bar_new();
    GtkWidget *e = gtk_menu_item_new_with_label(" ");
    gtk_container_add (GTK_CONTAINER (ebox), e);

    gtk_box_pack_start(GTK_BOX(box), menubar, 1, 1, 0);
    gtk_box_pack_start(GTK_BOX(box), ebox, 1, 1, 0);
    gtk_container_add(GTK_CONTAINER(win), box);

    indbox_load_module("libappmenu.so", menubar);

    gtk_widget_show_all(menubar);
    gtk_widget_show_all(box);
    gtk_widget_show_all(ebox);
    gtk_widget_show_all(e);
    gtk_widget_show_all(win);

    g_signal_connect(G_OBJECT(win), "destroy", gtk_main_quit, NULL);
    gtk_main();    
}
